<template>
  <div class="container extended pt-5 pb-5 translation-section">
    <h3>Templates</h3>
    <client-only>
      <TranslationTemplate
        v-if="isEnabled"
        :can-modify="hasRole('ROLE_SYSOP')"
        :can-translate="hasRole('ROLE_TRANSLATOR') || hasRole('ROLE_SYSOP')"
        api-base-url="/i18n"
        brick-page="admin-translation-definition-id"
        translate-page="admin-translation-translation-id"
      ></TranslationTemplate>
      <div v-else>
        Only available on live system!
      </div>
    </client-only>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
  layout: 'admin',
  roles: ['ROLE_TRANSLATOR', 'ROLE_SYSOP'],
  computed: {
    ...mapGetters(['hasRole']),
    isEnabled() {
      return process.env.profile === 'live' || this.hasRole('ROLE_SYSOP');
    },
  },
};
</script>
